<?php
session_start();

require_once __DIR__ . '/config/config.php';
require_once __DIR__ . '/config/db.php';
require_once __DIR__ . '/helpers/Router.php';

$router = new Router();
require_once __DIR__ . '/routes.php';

// ✅ Extract and normalize request path
$requestUri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
$basePath = '/IbeamInventoryPro2'; // adjust if your subfolder name changes

$routePath = str_replace($basePath, '', $requestUri);
if ($routePath === '') $routePath = '/';

error_log("ROUTING: $routePath");


$router->dispatch($routePath);
